Open CASCADE Technology  7.7.0
Public Member Functions

GC_MakeArcOfCircle Class Reference

Implements construction algorithms for an arc of circle in 3D space. The result is a Geom_TrimmedCurve curve. A MakeArcOfCircle object provides a framework for: More...

#include <GC_MakeArcOfCircle.hxx>

Inheritance diagram for GC_MakeArcOfCircle:
Inheritance graph
[legend]

Public Member Functions

 GC_MakeArcOfCircle (const gp_Circ &Circ, const Standard_Real Alpha1, const Standard_Real Alpha2, const Standard_Boolean Sense)
 Make an arc of circle (TrimmedCurve from Geom) from a circle between two angles Alpha1 and Alpha2 given in radiians. More...
 
 GC_MakeArcOfCircle (const gp_Circ &Circ, const gp_Pnt &P, const Standard_Real Alpha, const Standard_Boolean Sense)
 Make an arc of circle (TrimmedCurve from Geom) from a circle between point. More...
 
 GC_MakeArcOfCircle (const gp_Circ &Circ, const gp_Pnt &P1, const gp_Pnt &P2, const Standard_Boolean Sense)
 Make an arc of circle (TrimmedCurve from Geom) from a circle between two points P1 and P2. More...
 
 GC_MakeArcOfCircle (const gp_Pnt &P1, const gp_Pnt &P2, const gp_Pnt &P3)
 Make an arc of circle (TrimmedCurve from Geom) from three points P1,P2,P3 between two points P1 and P2. More...
 
 GC_MakeArcOfCircle (const gp_Pnt &P1, const gp_Vec &V, const gp_Pnt &P2)
 Make an arc of circle (TrimmedCurve from Geom) from two points P1,P2 and the tangente to the solution at the point P1. The orientation of the arc is: More...
 
const Handle< Geom_TrimmedCurve > & Value () const
 Returns the constructed arc of circle. Exceptions StdFail_NotDone if no arc of circle is constructed. More...
 
 operator const Handle< Geom_TrimmedCurve > & () const
 
- Public Member Functions inherited from GC_Root
Standard_Boolean IsDone () const
 Returns true if the construction is successful. More...
 
gce_ErrorType Status () const
 Returns the status of the construction: More...
 

Additional Inherited Members

- Protected Attributes inherited from GC_Root
gce_ErrorType TheError
 

Detailed Description

Implements construction algorithms for an arc of circle in 3D space. The result is a Geom_TrimmedCurve curve. A MakeArcOfCircle object provides a framework for:

Constructor & Destructor Documentation

◆ GC_MakeArcOfCircle() [1/5]

GC_MakeArcOfCircle::GC_MakeArcOfCircle ( const gp_Circ Circ,
const Standard_Real  Alpha1,
const Standard_Real  Alpha2,
const Standard_Boolean  Sense 
)

Make an arc of circle (TrimmedCurve from Geom) from a circle between two angles Alpha1 and Alpha2 given in radiians.

◆ GC_MakeArcOfCircle() [2/5]

GC_MakeArcOfCircle::GC_MakeArcOfCircle ( const gp_Circ Circ,
const gp_Pnt P,
const Standard_Real  Alpha,
const Standard_Boolean  Sense 
)

Make an arc of circle (TrimmedCurve from Geom) from a circle between point.

and the angle Alpha given in radians.

◆ GC_MakeArcOfCircle() [3/5]

GC_MakeArcOfCircle::GC_MakeArcOfCircle ( const gp_Circ Circ,
const gp_Pnt P1,
const gp_Pnt P2,
const Standard_Boolean  Sense 
)

Make an arc of circle (TrimmedCurve from Geom) from a circle between two points P1 and P2.

◆ GC_MakeArcOfCircle() [4/5]

GC_MakeArcOfCircle::GC_MakeArcOfCircle ( const gp_Pnt P1,
const gp_Pnt P2,
const gp_Pnt P3 
)

Make an arc of circle (TrimmedCurve from Geom) from three points P1,P2,P3 between two points P1 and P2.

◆ GC_MakeArcOfCircle() [5/5]

GC_MakeArcOfCircle::GC_MakeArcOfCircle ( const gp_Pnt P1,
const gp_Vec V,
const gp_Pnt P2 
)

Make an arc of circle (TrimmedCurve from Geom) from two points P1,P2 and the tangente to the solution at the point P1. The orientation of the arc is:

  • the sense determined by the order of the points P1, P3 and P2;
  • the sense defined by the vector V; or
  • for other syntaxes:
  • the sense of Circ if Sense is true, or
  • the opposite sense if Sense is false. Note: Alpha1, Alpha2 and Alpha are angle values, given in radians. Warning If an error occurs (that is, when IsDone returns false), the Status function returns:
  • gce_ConfusedPoints if:
  • any 2 of the 3 points P1, P2 and P3 are coincident, or
  • P1 and P2 are coincident; or
  • gce_IntersectionError if:
  • P1, P2 and P3 are collinear and not coincident, or
  • the vector defined by the points P1 and P2 is collinear with the vector V.

Member Function Documentation

◆ operator const Handle< Geom_TrimmedCurve > &()

GC_MakeArcOfCircle::operator const Handle< Geom_TrimmedCurve > & ( ) const
inline

◆ Value()

const Handle< Geom_TrimmedCurve >& GC_MakeArcOfCircle::Value ( ) const

Returns the constructed arc of circle. Exceptions StdFail_NotDone if no arc of circle is constructed.


The documentation for this class was generated from the following file: